CancelImageCreation
Cancels the creation of an image. This operation can only be used on
images in a non-terminal state. Cancellation is asynchronous: the request
returns immediately, then Image Builder stops the running build and moves the image
to the CANCELLED state. Output resources that the build already
created, such as AMIs and snapshots, aren't removed.
Request Syntax
PUT /CancelImageCreation HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"imageBuildVersionArn": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier you provide to ensure that the operation runs no more than one time. If you retry a request with the same client token, Image Builder returns the original response without running the operation again. For more information, see Ensuring idempotency in the Amazon EC2 API Reference.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Required: Yes
- imageBuildVersionArn
-
The Amazon Resource Name (ARN) of the image that you want to cancel creation for.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"clientToken": "string",
"imageBuildVersionArn": "string",
"requestId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- clientToken
-
The client token that uniquely identifies the request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
- imageBuildVersionArn
-
The Amazon Resource Name (ARN) of the image whose creation this request canceled.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$ - requestId
-
The request ID that uniquely identifies this request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- IdempotentParameterMismatchException
-
You have specified a client token for an operation using parameter values that differ from a previous request that used the same client token.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ResourceInUseException
-
The resource that you are trying to operate on is currently in use. Review the message details and retry later.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
Cancel an image build
The following example cancels a build that is in progress for the specified image build version.
Sample Request
PUT /CancelImageCreation HTTP/1.1
Content-type: application/json
{
"imageBuildVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-recipe/1.0.0/1",
"clientToken": "a1b2c3d4-5678-90ab-cdef-EXAMPLE77777"
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"requestId": "fead325f-72d9-42b5-b2ed-c5294984c6a9",
"clientToken": "a1b2c3d4-5678-90ab-cdef-EXAMPLE77777",
"imageBuildVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-recipe/1.0.0/1"
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: